Page MenuHomePhabricator

[Spike] SkinTemplateOutputPageBeforeExec is being deprecated. Identify usages and create tasks for fixing
Closed, ResolvedPublicSpike

Description

As part of the desktop refresh project, Vector will soon no longer run the SkinTemplateOutputPageBeforeExec hook as part of its move away from BaseTemplate in T251212. This will require updates in various extensions. I will open specific bugs in specific projects as I get to them and will likely post the required Gerrit patches so help with code review would be appreciated. I will close this task once the appropriate tasks have been filed

The migration will be done slowly to allow impacted projects to update to preferred hooks and add any ones that are missing.

Results of spike

Impacted extensions that are not compatible with latest MediaWiki

NOTE: These extensions are not compatible with latest MediaWiki so will not be patched.

News

To modify feeds it should use OutputPage::addFeedLink instead in any of the OutputPage hooks.

LanguageSelector

Please use SidebarBeforeOutput to add items to the side bar.

PushToWatch

Updates footer
https://gerrit.wikimedia.org/r/plugins/gitiles/mediawiki/extensions/PushToWatch/+/master/PushToWatch.class.php

Permitted hooks: SkinTemplateGetLanguageLink (Modify language items) BaseTemplateAfterPortlet for adding link after languages. To omit languages altogether from a page, use SidebarBeforeOutput and set languages to false.

SharedHelpPages

Use OutputPage::setCopyright inside an OutputPage hook to modify copyright.

Acceptance criteria

Sign off steps

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMay 13 2020, 10:53 PM
Jdlrobson updated the task description. (Show Details)May 13 2020, 10:54 PM
Jdlrobson updated the task description. (Show Details)May 13 2020, 11:33 PM
Jdlrobson moved this task from Inbox to Next up on the User-Jdlrobson board.May 14 2020, 4:44 AM

Change 596329 had a related patch set uploaded (by Jdlrobson; owner: Jdlrobson):
[mediawiki/extensions/WhoIsWatching@master] Use of SkinTemplateOutputPageBeforeExec for footer modification is deprecated

https://gerrit.wikimedia.org/r/596329

Change 596330 had a related patch set uploaded (by Jdlrobson; owner: Jdlrobson):
[mediawiki/core@master] Set footer keys on template for full compatibility

https://gerrit.wikimedia.org/r/596330

Change 596330 merged by jenkins-bot:
[mediawiki/core@master] SkinTemplate: Set footer keys on template for full compatibility

https://gerrit.wikimedia.org/r/596330

Jdlrobson updated the task description. (Show Details)May 14 2020, 3:01 PM
Jdlrobson updated the task description. (Show Details)May 14 2020, 4:52 PM
Jdlrobson renamed this task from SkinTemplateOutputPageBeforeExec being removed from Vector to SkinTemplateOutputPageBeforeExec is being deprecated. Update usages to more appropriate hooks..May 14 2020, 4:57 PM
Jdlrobson moved this task from Next up to Doing on the User-Jdlrobson board.
Jdlrobson updated the task description. (Show Details)
Jdlrobson updated the task description. (Show Details)May 14 2020, 5:02 PM

Change 596518 had a related patch set uploaded (by Jdlrobson; owner: Jdlrobson):
[mediawiki/extensions/Wikibase@master] Drop "display language portal" hack

https://gerrit.wikimedia.org/r/596518

Nikerabbit updated the task description. (Show Details)May 15 2020, 2:56 PM
Jdlrobson moved this task from Needs triage to Technical on the Vector board.May 15 2020, 4:57 PM
Jdlrobson renamed this task from SkinTemplateOutputPageBeforeExec is being deprecated. Update usages to more appropriate hooks. to [Spike] SkinTemplateOutputPageBeforeExec is being deprecated. Identify usages and create tasks for fixing.May 19 2020, 7:09 PM
Jdlrobson added a project: Spike.
Jdlrobson updated the task description. (Show Details)
Restricted Application changed the subtype of this task from "Task" to "Spike". · View Herald TranscriptMay 19 2020, 7:09 PM
Jdlrobson updated the task description. (Show Details)May 19 2020, 11:38 PM
Jdlrobson closed this task as Resolved.May 20 2020, 12:34 AM
Jdlrobson updated the task description. (Show Details)

Change 596329 merged by jenkins-bot:
[mediawiki/extensions/WhoIsWatching@master] Use of SkinTemplateOutputPageBeforeExec for footer modification is deprecated

https://gerrit.wikimedia.org/r/596329

Change 596518 abandoned by Jdlrobson:
WIP: SkinTemplateOutputPageBeforeExecHandler is deprecated

Reason:
I can't get wikibase setup locally right now, but just to note - I do need to get a fix for this in for the July release branch cut!

https://gerrit.wikimedia.org/r/596518